mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {
createUnderwritingInformationRequests(input: $input) {
errors {
... on BadRequestError {
advice
code
message
}
... on ForbiddenError {
advice
code
message
}
... on InvalidActorError {
advice
code
message
}
... on InvalidOrganizationError {
advice
code
message
}
... on NotFoundError {
advice
code
message
resourceId
resourceName
}
... on ServerError {
advice
code
message
}
}
underwritingInformationRequests {
applicationId
createdBy {
name
type
}
createdDateTime
description
fulfilledBy {
name
type
}
fulfilledDateTime
fulfillmentAttachmentIds
fulfillmentResponse
fulfillmentTypes
id
status
title
type
updatedDateTime
}
}
}
{
"input": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"requests": [
{
"type": "ARTICLES_OF_INCORPORATION"
}
]
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {\n createUnderwritingInformationRequests(input: $input) {\n errors {\n ... on BadRequestError {\n advice\n code\n message\n }\n ... on ForbiddenError {\n advice\n code\n message\n }\n ... on InvalidActorError {\n advice\n code\n message\n }\n ... on InvalidOrganizationError {\n advice\n code\n message\n }\n ... on NotFoundError {\n advice\n code\n message\n resourceId\n resourceName\n }\n ... on ServerError {\n advice\n code\n message\n }\n }\n underwritingInformationRequests {\n applicationId\n createdBy {\n name\n type\n }\n createdDateTime\n description\n fulfilledBy {\n name\n type\n }\n fulfilledDateTime\n fulfillmentAttachmentIds\n fulfillmentResponse\n fulfillmentTypes\n id\n status\n title\n type\n updatedDateTime\n }\n }\n}",
"variables": {
"input": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"requests": [
{
"type": "ARTICLES_OF_INCORPORATION"
}
]
}
}
}'
{
"data": {
"createUnderwritingInformationRequests": {
"errors": [
{
"__typename": "BadRequestError",
"advice": "example",
"code": "BAD_REQUEST",
"message": "example"
}
],
"underwritingInformationRequests": [
{
"applicationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdBy": {
"name": "Ben Torres",
"type": "APP"
},
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"fulfilledBy": {
"name": "Ben Torres",
"type": "APP"
},
"fulfilledDateTime": "2026-01-15T14:30:00Z",
"fulfillmentAttachmentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"fulfillmentResponse": "example",
"fulfillmentTypes": [
"DOCUMENT"
],
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"status": "FULFILLED",
"title": "example",
"type": "ARTICLES_OF_INCORPORATION",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
]
}
}
}
Mutations
createUnderwritingInformationRequests
Create one or more underwriting information requests.
mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {
createUnderwritingInformationRequests(input: $input) {
errors {
... on BadRequestError {
advice
code
message
}
... on ForbiddenError {
advice
code
message
}
... on InvalidActorError {
advice
code
message
}
... on InvalidOrganizationError {
advice
code
message
}
... on NotFoundError {
advice
code
message
resourceId
resourceName
}
... on ServerError {
advice
code
message
}
}
underwritingInformationRequests {
applicationId
createdBy {
name
type
}
createdDateTime
description
fulfilledBy {
name
type
}
fulfilledDateTime
fulfillmentAttachmentIds
fulfillmentResponse
fulfillmentTypes
id
status
title
type
updatedDateTime
}
}
}
{
"input": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"requests": [
{
"type": "ARTICLES_OF_INCORPORATION"
}
]
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {\n createUnderwritingInformationRequests(input: $input) {\n errors {\n ... on BadRequestError {\n advice\n code\n message\n }\n ... on ForbiddenError {\n advice\n code\n message\n }\n ... on InvalidActorError {\n advice\n code\n message\n }\n ... on InvalidOrganizationError {\n advice\n code\n message\n }\n ... on NotFoundError {\n advice\n code\n message\n resourceId\n resourceName\n }\n ... on ServerError {\n advice\n code\n message\n }\n }\n underwritingInformationRequests {\n applicationId\n createdBy {\n name\n type\n }\n createdDateTime\n description\n fulfilledBy {\n name\n type\n }\n fulfilledDateTime\n fulfillmentAttachmentIds\n fulfillmentResponse\n fulfillmentTypes\n id\n status\n title\n type\n updatedDateTime\n }\n }\n}",
"variables": {
"input": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"requests": [
{
"type": "ARTICLES_OF_INCORPORATION"
}
]
}
}
}'
{
"data": {
"createUnderwritingInformationRequests": {
"errors": [
{
"__typename": "BadRequestError",
"advice": "example",
"code": "BAD_REQUEST",
"message": "example"
}
],
"underwritingInformationRequests": [
{
"applicationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdBy": {
"name": "Ben Torres",
"type": "APP"
},
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"fulfilledBy": {
"name": "Ben Torres",
"type": "APP"
},
"fulfilledDateTime": "2026-01-15T14:30:00Z",
"fulfillmentAttachmentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"fulfillmentResponse": "example",
"fulfillmentTypes": [
"DOCUMENT"
],
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"status": "FULFILLED",
"title": "example",
"type": "ARTICLES_OF_INCORPORATION",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
]
}
}
}
Mutation
Arguments
CreateUnderwritingInformationRequestsInput!
required
Show child attributes
Show child attributes
UUID!
required
The unique identifier for the application
[CreateUnderwritingInformationRequestInput!]!
required
List of information requests to create
Show child attributes
Show child attributes
String
Detailed description of the information being requested. Required for QUESTION and OTHER types.
String
Short title describing the information being requested. Required for QUESTION and OTHER types.
UnderwritingInformationRequestType!
required
The type of information request.See UnderwritingInformationRequestType
Return type
CreateUnderwritingInformationRequestsPayload!
[CreateUnderwritingInformationRequestsError!]
Errors that occurred during the mutation, if any. Null or empty indicates success.
Show Possible types
Show Possible types
Show BadRequestError
Show BadRequestError
Show ForbiddenError
Show ForbiddenError
Show InvalidActorError
Show InvalidActorError
Show InvalidOrganizationError
Show InvalidOrganizationError
Show NotFoundError
Show NotFoundError
Show ServerError
Show ServerError
[UnderwritingInformationRequest!]
The list of underwriting information requests that were created or fulfilled
Show child attributes
Show child attributes
UUID!
required
The unique identifier for the application this information request belongs to.
DateTime!
required
The date and time in UTC when this information request was created.
String!
required
Detailed description of the information being requested.
DateTime
The date and time in UTC when this information request was fulfilled.
[UUID!]!
required
Attachment IDs if the response includes files.
String
Free text response when the request is fulfilled.
[UnderwritingInformationRequestFulfillmentType!]!
required
The supported fulfillment types for this request (e.g. DOCUMENT, TEXT).See UnderwritingInformationRequestFulfillmentType
UUID!
required
The unique identifier for the information request.
UnderwritingInformationRequestStatus!
required
The current status of the information request.See UnderwritingInformationRequestStatus
String!
required
Short title describing the information being requested.
UnderwritingInformationRequestType!
required
The type of information request.See UnderwritingInformationRequestType
DateTime!
required
The date and time in UTC when this information request was last updated.
mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {
createUnderwritingInformationRequests(input: $input) {
errors {
... on BadRequestError {
advice
code
message
}
... on ForbiddenError {
advice
code
message
}
... on InvalidActorError {
advice
code
message
}
... on InvalidOrganizationError {
advice
code
message
}
... on NotFoundError {
advice
code
message
resourceId
resourceName
}
... on ServerError {
advice
code
message
}
}
underwritingInformationRequests {
applicationId
createdBy {
name
type
}
createdDateTime
description
fulfilledBy {
name
type
}
fulfilledDateTime
fulfillmentAttachmentIds
fulfillmentResponse
fulfillmentTypes
id
status
title
type
updatedDateTime
}
}
}
{
"input": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"requests": [
{
"type": "ARTICLES_OF_INCORPORATION"
}
]
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateUnderwritingInformationRequests($input: CreateUnderwritingInformationRequestsInput!) {\n createUnderwritingInformationRequests(input: $input) {\n errors {\n ... on BadRequestError {\n advice\n code\n message\n }\n ... on ForbiddenError {\n advice\n code\n message\n }\n ... on InvalidActorError {\n advice\n code\n message\n }\n ... on InvalidOrganizationError {\n advice\n code\n message\n }\n ... on NotFoundError {\n advice\n code\n message\n resourceId\n resourceName\n }\n ... on ServerError {\n advice\n code\n message\n }\n }\n underwritingInformationRequests {\n applicationId\n createdBy {\n name\n type\n }\n createdDateTime\n description\n fulfilledBy {\n name\n type\n }\n fulfilledDateTime\n fulfillmentAttachmentIds\n fulfillmentResponse\n fulfillmentTypes\n id\n status\n title\n type\n updatedDateTime\n }\n }\n}",
"variables": {
"input": {
"applicationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"requests": [
{
"type": "ARTICLES_OF_INCORPORATION"
}
]
}
}
}'
{
"data": {
"createUnderwritingInformationRequests": {
"errors": [
{
"__typename": "BadRequestError",
"advice": "example",
"code": "BAD_REQUEST",
"message": "example"
}
],
"underwritingInformationRequests": [
{
"applicationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdBy": {
"name": "Ben Torres",
"type": "APP"
},
"createdDateTime": "2026-01-15T14:30:00Z",
"description": "example",
"fulfilledBy": {
"name": "Ben Torres",
"type": "APP"
},
"fulfilledDateTime": "2026-01-15T14:30:00Z",
"fulfillmentAttachmentIds": [
"c9a1e2d3-4b5f-6789-0abc-def123456789"
],
"fulfillmentResponse": "example",
"fulfillmentTypes": [
"DOCUMENT"
],
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"status": "FULFILLED",
"title": "example",
"type": "ARTICLES_OF_INCORPORATION",
"updatedDateTime": "2026-01-15T14:30:00Z"
}
]
}
}
}
Was this page helpful?